Bug 52501 - child pid 10824 exit signal Segmentation fault (11), possible coredump
Summary: child pid 10824 exit signal Segmentation fault (11), possible coredump
Status: RESOLVED LATER
Alias: None
Product: Apache httpd-2
Classification: Unclassified
Component: All (show other bugs)
Version: 2.2.20
Hardware: Sun Solaris
: P2 critical (vote)
Target Milestone: ---
Assignee: Apache HTTPD Bugs Mailing List
URL:
Keywords: MassUpdate
Depends on:
Blocks:
 
Reported: 2012-01-23 13:07 UTC by aks
Modified: 2019-07-05 11:00 UTC (History)
2 users (show)



Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description aks 2012-01-23 13:07:11 UTC
# /usr/bin/adb core_kddi-fm-1_httpd_0_0_10824_1327197627
core file = core_kddi-fm-1_httpd_0_0_10824_1327197627 -- program ``
/motorola/apps/mofm/fmserver-5.0.1.10.05/apache2_cgems/bin/httpd'' on platform SUNW,Netra-T5440
SIGSEGV: Segmentation Fault

::stack
libc.so.1`fork+0x124(0, 0, 0, 0, fefb5960, fefd2a00)
make_child+0x88(4d800, 4f, 4, 99, 77000, 78400)
ap_mpm_run+0x91c(78400, 78400, 98, 78400, 78800, 78400)
main+0x78c(83430, 76000, 77c00, 77c00, 81428, 0)
_start+0x5c(0, 0, 0, 0, 0, 0)

::regs
%g0 = 0x0000000000000000                 %l0 = 0xfdad0518 
%g1 = 0x0000000000000014                 %l1 = 0x00000000 
%g2 = 0x0000000000000001                 %l2 = 0xfefb5940 libc.so.1`_uberdata+0x40
%g3 = 0x0000000000000e78                 %l3 = 0xfdad67c0 
%g4 = 0x00000000696ca936                 %l4 = 0x00001cf0 
%g5 = 0x00006e656374696f                 %l5 = 0x00001c00 
%g6 = 0x0000000000000000                 %l6 = 0x00000000 
%g7 = 0x00000000fefd2a00                 %l7 = 0x00000000 
%o0 = 0x0000000000002a48                 %i0 = 0x00000000 
%o1 = 0x0000000000000868                 %i1 = 0x00000000 
%o2 = 0x0000000000001ccc                 %i2 = 0x00000000 
%o3 = 0x00000000fefd2a00                 %i3 = 0x00000000 
%o4 = 0x00000000fefb5900 libc.so.1`_uberdata %i4 = 0xfefb5960 libc.so.1`_uberdata+0x60
%o5 = 0x0000000000001c00                 %i5 = 0xfefd2a00 
%o6 = 0x00000000ffbff9d8                 %i6 = 0xffbffa38 
%o7 = 0x00000000fef3b794 libc.so.1`fork+0x120 %i7 = 0x0004e0d8 make_child+0x88

%psr = 0xfe401003 impl=0xf ver=0xe icc=nZvc
                   ec=0 ef=4096 pil=0 s=0 ps=0 et=0 cwp=0x3
   %y = 0x000000c0
  %pc = 0xfef3b798 libc.so.1`fork+0x124
%npc = 0xfef4215c libc.so.1`unregister_locks
  %sp = 0xffbff9d8
  %fp = 0xffbffa38

%wim = 0x00000000



=============================================================================

# ./httpd -v
Server version: Apache/2.2.20 (Unix)
Server built:   Sep 14 2011 15:01:28
Comment 1 karen ezzo 2012-02-08 13:15:09 UTC
Also, I noted that the coredumps started happening in midp-November 2011, even though Apache had been running w/no problem since Sept 2011. In mid-November, I had installed AWstats 7.0. I am suspecting that could be related to the issue but have not been able to find any proof and/or solution, if so.
Comment 2 karen ezzo 2012-02-08 13:16:13 UTC
Please disregard the last note - i attached it to the wrong bug #
Comment 3 William A. Rowe Jr. 2018-11-07 21:08:17 UTC
Please help us to refine our list of open and current defects; this is a mass update of old and inactive Bugzilla reports which reflect user error, already resolved defects, and still-existing defects in httpd.

As repeatedly announced, the Apache HTTP Server Project has discontinued all development and patch review of the 2.2.x series of releases. The final release 2.2.34 was published in July 2017, and no further evaluation of bug reports or security risks will be considered or published for 2.2.x releases. All reports older than 2.4.x have been updated to status RESOLVED/LATER; no further action is expected unless the report still applies to a current version of httpd.

If your report represented a question or confusion about how to use an httpd feature, an unexpected server behavior, problems building or installing httpd, or working with an external component (a third party module, browser etc.) we ask you to start by bringing your question to the User Support and Discussion mailing list, see [https://httpd.apache.org/lists.html#http-users] for details. Include a link to this Bugzilla report for completeness with your question.

If your report was clearly a defect in httpd or a feature request, we ask that you retest using a modern httpd release (2.4.33 or later) released in the past year. If it can be reproduced, please reopen this bug and change the Version field above to the httpd version you have reconfirmed with.

Your help in identifying defects or enhancements still applicable to the current httpd server software release is greatly appreciated.